{ config, pkgs, username, ... }:
{
  # Services
  services.pcscd.enable = true;

  # Programs
  programs.ssh.startAgent = true;
  programs.zsh.enable = true;
  # Needed for home-manager systemd service 
  programs.dconf.enable = true;
  
  # Configs 
  fonts.fontconfig.enable = true;
  
  users.users.${username} = {
    shell = pkgs.zsh;
    isNormalUser = true;
    extraGroups = [ "video" "wheel" ];
    home = "/home/${username}";
  };
}
